Get TPN Details
POST
/v2/tpn/tpn-detailsYou can request for data field values (e.g., OTP, Authenticators) mapped to an active terminal reference code.
Header Parameters
Authorization*
stringBody Parameters
tpnId*
stringdataFields
dataFields*
enumPOST/v2/tpn/tpn-details
1curl --location 'https://externalapi.ipospays.tech/v2/tpn/tpn-details' \
2--header 'Authorization: ' \
3--header 'Content-Type: application/json' \
4--data '{
5 "tpnId": "abcdef123456",
6 "dataFields": [
7 "OTP"
8 ]
9}'
Response
// Awaiting response…
Sample response
{
"data": {
"oneTimePasscode": "123456",
"auth_token": "token-value",
"integration_type": "spinCloud",
"spinDetails": {
"registerId": "7263204",
"authKey": ""
}
},
"status_code": 200,
"request_id": "IPOS-20250216120000-ABC123",
"timestamp": "2025-02-16T12:00:00.000Z"
}